# Function createCompleteTransferNativeInstruction

- createCompleteTransferNativeInstruction(connection, tokenBridgeProgramId, wormholeProgramId, payer, vaa, feeRecipient?): TransactionInstruction

- #### Parameters

  - ##### connection: Connection

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### vaa: VAA<"TokenBridge:Transfer"> | VAA<"TokenBridge:TransferWithPayload">

  - ##### `Optional` feeRecipient: PublicKeyInitData

  #### Returns TransactionInstruction

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/completeNative.ts:20

Generated using TypeDoc